local DamageType = require "engine.DamageType"
local Map = require "engine.Map"
local class = require"engine.class"
local ActorTalents = require "engine.interface.ActorTalents"
local ActorTemporaryEffects = require "engine.interface.ActorTemporaryEffects"
local Birther = require "engine.Birther"

class:bindHook("ToME:load", function(self, data) 
	local Birther = require "engine.Birther"
	DamageType:loadDefinition("/data-classpack/damage_types.lua")
	ActorTalents:loadDefinition("/data-classpack/talents/techniques/techniques-spellsword.lua")
	ActorTalents:loadDefinition("/data-classpack/talents/spells/spells-spellsword.lua")
	ActorTalents:loadDefinition("/data-classpack/talents/techniques/techniques-barbarian.lua")
	ActorTalents:loadDefinition("/data-classpack/talents/gifts/gifts-barbarian.lua")
	ActorTalents:loadDefinition("/data-classpack/talents/cunning/cunning-barbarian.lua")
	Birther:loadDefinition("/data-classpack/birth/classpack.lua")
end)

-- Mark of Fire projector binding
class:bindHook("DamageProjector:base", function(self, data)
	local target = game.level.map(data.x, data.y, Map.ACTOR)
	if target.hasEffect and target:hasEffect(self.EFF_MARK_OF_FIRE) then data.dam = data.dam * 1.5 return true end
end)
