require "engine.class"
require "mod.class.Actor"
require "engine.interface.PlayerRest"
require "engine.interface.PlayerRun"
require "engine.interface.PlayerHotkeys"
require "engine.interface.PlayerSlide"
require "engine.interface.PlayerMouse"
require "mod.class.interface.PlayerStats"
require "mod.class.interface.PlayerDumpJSON"
require "mod.class.interface.PlayerExplore"
require "mod.class.interface.PartyDeath"
local Map = require "engine.Map"
local Dialog = require "engine.ui.Dialog"
local ActorTalents = require "engine.interface.ActorTalents"

local _M = loadPrevious(...)

local base_playerCheckSustains = _M.playerCheckSustains

-- Go through all sustained talents and turn them off if pre_use fails
function _M:playerCheckSustains()
	self:attr("force_talent_ignore_energy",1)
	base_playerCheckSustains(self)
	self:attr("force_talent_ignore_energy",-1)
end

